Страница 1 из 2 12 ПоследняяПоследняя
Показано с 1 по 10 из 12.

Тема: Установка на Debian 9

  1. #1
    Junior Member
    Регистрация
    16.07.2012
    Сообщений
    3

    Question Установка на Debian 9

    Здравствуйте,
    уже много лет подряд (каждый месяц) продлеваю подписку на ISPManager.

    Очень нравится данная панель, сильно к ней привык (честно говоря после недавнего казуса, другие панели в моих глазах стали выглядеть еще более "недоразвитыми" чем казались до этого).
    Перейдем сразу к делу.

    Хостер вынудил обновиться до Debian 9 (пакеты с его репозиториев на 8ку перестали поставляться, пропали зеркала), перейти на другие зеркала не представляется возможным поскольку скорость скачки пакетов просто ужасная (256kbit при 1Gbit подключении).

    И столкнулся с очень неприятной проблемой, COREmanager работает как часы, все открывается/обновляется без проблем, при обновлении перестал напрочь работать ISPmanager 5.113. Попробовал установить его заного (переустановил систему), однако скрипт установщик ругнулся на то что у вас отсутствуют пакеты для stretch. Глядя на другие темы с форума стало понятно почему (вы ожидаете 9.1). Однако теперь вопрос в другом, что делать с уже существующей лицензией и есть ли какая то возможность (пусть и криво) установить панель на 9ку.

    С консолью знаком достаточно хорошо, однако после длительного использования столь полезной утилиты возвращаться в нее за 1-2 командами не хочется совсем.

    С официального сайта Debian, релиз 9.1 назначен на 22/07/2017 (то есть через 8 дней), значит ли это что мне стоит подождать с перенастройкой системы и где то до 30 выйдет версия ISPmanager с поддержкой Debian 9?

    Большое спасибо за внимание!
    С уважением,
    Живолупов Иван
    Последний раз редактировалось aftersoft; 15.07.2017 в 03:23.

  2. #2
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    1,763

    По умолчанию

    Гнать такого хостера
    1) Который спихивает клиентов на продукт, который ещё не устаканился
    2) убрать с списка репозиториев его зеркала, и прописать другие
    3) Поставить прокси для работы с пакетами
    4) Скачать пакеты, и залить на сервер, в последствии установить через dpkg -i <имя_пакета>.deb
    P.S. релиз то скоро, но далеко не факт, что всё будет гладко, надеемся на худшее так сказать, и ждём ещё + месяц, пока закроют очевидные баги

  3. #3
    Support team Аватар для Fly
    Регистрация
    14.08.2010
    Сообщений
    4,764

    По умолчанию

    Здравствуйте,

    Установить панель на Debian 9 не получится, пакетов для этой операционной системы в принципе мы еще не подготовили, да и в ходе тестирования выяснилось, что многие вещи поменялись в системе и необходимо менять в панели некоторые фундаментальные вещи. Когда именно выйдет ISPmanager для Debian 9 пока сказать не можем. По предварительным данным - в течение месяца. И мы выпускаем для Debian 9 только ISPmanager Lite, поддержка Business версии пока не ожидается.

  4. #4
    Senior Member
    Регистрация
    22.06.2012
    Сообщений
    156

    По умолчанию

    Цитата Сообщение от aftersoft Посмотреть сообщение
    Очень нравится данная панель, сильно к ней привык (честно говоря после недавнего казуса, другие панели в моих глазах стали выглядеть еще более "недоразвитыми" чем казались до этого).
    Перейдем сразу к делу.
    Можете поделиться опытом использования других панелей и что Вас там не устроило, по сравнению с ISPManager, а что было преимуществом ?

  5. #5
    Junior Member
    Регистрация
    28.09.2010
    Сообщений
    14

    По умолчанию

    Цитата Сообщение от Fly Посмотреть сообщение
    По предварительным данным - в течение месяца.
    Вот порадовали! Ждём-с.

  6. #6
    Senior Member
    Регистрация
    03.04.2013
    Сообщений
    354

    По умолчанию

    На сегодняшний день jessie уже является oldstable
    stretch уже stable

    jessie ставить нет возможности из-за отсутствия в нем свежих версий нужных пакетов, ставить старую версию дебиана и в неё тянуть пакеты из новой версии - так же танцы с бубнами.

    Дата выхода stretch была известна, уже сейчас известно что уже, скажем так, "верстается" версия buster - почему бы заранее не готовить пакеты под то что известно заранее?

  7. #7
    Senior Member Аватар для Армаэль
    Регистрация
    22.03.2015
    Адрес
    Москва
    Сообщений
    282

    По умолчанию

    Я конечно оптимист, но как по мне (хоть сам сижу на убунте, но планирую сваливать ради бизнес версии и cloudlinux) почему бы вообще не ограничится одной OS? например - centos. Зоопарк некогда не будет 100% готов к релизу определённого по\выпуска. Гомогенность ос и по на всех серверах - вообще дело такое, идеалиста, чтоли. Проще обслуживать, проще писать, проще тестировать.

  8. #8
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    1,763

    По умолчанию

    на первый взгляд все к этому и движется
    тот же vmmgr https://doc.ispsystem.ru/index.php/У...ие_VMmanager
    Debian 8 нет, 9 скорей всего тоже не будет
    https://www.ispsystem.ru/software/vmmanager/download
    Поддерживаемые ОС
    CentOS 6 (рекомендуется для OVZ)
    CentOS 7 (для KVM и Cloud)

  9. #9
    Senior Member Аватар для Lazek
    Регистрация
    04.06.2008
    Сообщений
    737

    По умолчанию

    Добрый вечер,

    Вообщем то да, можно посмотреть на ту же cPanel:
    https://documentation.cpanel.net/dis...m+Requirements

    где только - CentOS и CloudLinux OS.

    Совершенно не удивлюсь если в будущем будет что то подобное.

  10. #10
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    1,763

    По умолчанию

    я думаю все будут только за, если продукты стабилизируются, это раз
    Два: круг проблем будет меньше и заранее известен (уж как минимум не нужно гадать откуда ноги растут, панель, ОС и т.д, когда набор ПО будет одинаков)
    Три: Отсутствие зоопарка снизит человекочасы на поиск решения той или инной задачи под разные ОС при разработке софта /поиска решения

Метки этой темы

Ваши права в разделе

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •